#if DXCommon
	public class AssemblyInfo {
#else
namespace DevExpress.Internal {
	internal class AssemblyInfo {
#endif
		public const string AssemblyCopyright = "Copyright (c) 2000-2007 Developer Express Inc.";
        public const string AssemblyCompany = "Developer Express Inc.";

		internal const int VersionId = 72;
		public const string Version = "7.2.8.0";
		public const string VersionShort = "7.2";
		public const string SatelliteContractVersion = "7.2.0.0";

		public const string VSuffixWithoutSeparator = "v" + VersionShort;
		public const string VSuffix = "." + VSuffixWithoutSeparator;
		public const string VirtDirSuffix = "_v7_2";
		public const string VSuffixDesign = VSuffix + ".Design";
		public const string
			SRAssemblyASPxPivotGrid = "DevExpress.Web.ASPxPivotGrid" + VSuffix,
			SRAssemblyData = "DevExpress.Data" + VSuffix,
			SRAssemblyUtils = "DevExpress.Utils" + VSuffix,
			SRAssemblyPrinting = "DevExpress.XtraPrinting" + VSuffix,
			SRAssemblyPrintingDesign = "DevExpress.XtraPrinting" + VSuffixDesign,
			SRAssemblyEditors = "DevExpress.XtraEditors" + VSuffix,
			SRAssemblyEditorsDesign = "DevExpress.XtraEditors" + VSuffixDesign,
			SRAssemblyNavBar = "DevExpress.XtraNavBar" + VSuffix,
			SRAssemblyNavBarDesign = "DevExpress.XtraNavBar" + VSuffixDesign,
			SRAssemblyBars = "DevExpress.XtraBars" + VSuffix,
			SRAssemblyBarsDesign = "DevExpress.XtraBars" + VSuffixDesign,
			SRAssemblyGrid = "DevExpress.XtraGrid" + VSuffix,
			SRAssemblyGridDesign = "DevExpress.XtraGrid" + VSuffixDesign,
			SRAssemblyPivotGrid = "DevExpress.XtraPivotGrid" + VSuffix,
			SRAssemblyPivotGridCore = "DevExpress.XtraPivotGrid" + VSuffix + ".Core",
			SRAssemblyPivotGridDesign = "DevExpress.XtraPivotGrid" + VSuffixDesign,
			SRAssemblyTreeList = "DevExpress.XtraTreeList" + VSuffix,
			SRAssemblyTreeListDesign = "DevExpress.XtraTreeList" + VSuffixDesign,
            SRAssemblyVertGrid = "DevExpress.XtraVerticalGrid" + VSuffix,
			SRAssemblyVertGridDesign = "DevExpress.XtraVerticalGrid" + VSuffixDesign,
			SRAssemblyReports = "DevExpress.XtraReports" + VSuffix,
			SRAssemblyReportsDesign = "DevExpress.XtraReports" + VSuffixDesign,
			SRAssemblyReportsImport = "DevExpress.XtraReports" + VSuffix + ".Import",
			SRAssemblyReportsDesignDelphi8 = "DevExpress.XtraReports" + VSuffix + ".Design.Delphi8",
			SRAssemblyReportsDesignDelphi9 = "DevExpress.XtraReports" + VSuffix + ".Design.Delphi9",
			SRAssemblyReportsDesignDelphi10 = "DevExpress.XtraReports" + VSuffix + ".Design.Delphi10",
			SRAssemblyRichTextEdit = "DevExpress.XtraRichTextEdit" + VSuffix,
			SRAssemblyScheduler = "DevExpress.XtraScheduler" + VSuffix,
			SRAssemblySchedulerDesign = "DevExpress.XtraScheduler" + VSuffixDesign,
			SRAssemblySchedulerWeb = "DevExpress.Web.ASPxScheduler" + VSuffix,
			SRAssemblySchedulerOutlookExchange = "DevExpress.XtraScheduler" + VSuffix + ".OutlookExchange",
			SRAssemblySchedulerVCalendarExchange = "DevExpress.XtraScheduler" + VSuffix + ".VCalendarExchange",
			SRAssemblyCharts = "DevExpress.XtraCharts" + VSuffix,
			SRAssemblyChartsDesign = "DevExpress.XtraCharts" + VSuffixDesign,
			SRAssemblyChartsUI = "DevExpress.XtraCharts" + VSuffix + ".UI",
			SRAssemblyXpo = "DevExpress.Xpo" + VSuffix,
			SRAssemblyXpoDesign = "DevExpress.Xpo" + VSuffixDesign,
			SRAssemblyLayoutControl = "DevExpress.XtraLayout" + VSuffix,
			SRAssemblyLayoutControlDesign = "DevExpress.XtraLayout" + VSuffixDesign,
			SRAssemblySpellCheckerCore = "DevExpress.XtraSpellChecker" + VSuffix + ".Core",
			SRAssemblySpellChecker = "DevExpress.XtraSpellChecker" + VSuffix,
			SRAssemblySpellCheckerDesign = "DevExpress.XtraSpellChecker" + VSuffixDesign;
	}
#if !DXCommon
}
#endif